Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3918 - chkconfig --list fails to display all services
Summary: chkconfig --list fails to display all services
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: chkconfig
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-06 15:30 UTC by phostetl
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-12 17:49:10 UTC


Attachments (Terms of Use)

Description phostetl 1999-07-06 15:30:52 UTC
After adding mysql.server using:

# chkconfig --add mysql.server
# chkconfig --level 345 mysql.server on


Running:

# chkconfig --list | grep mysql

fails to list mysql.server.


# locate mysql.server
/etc/rc.d/init.d/mysql.server
/etc/rc.d/rc0.d/K90mysql.server
/etc/rc.d/rc1.d/K90mysql.server
/etc/rc.d/rc3.d/S90mysql.server
/etc/rc.d/rc4.d/S90mysql.server
/etc/rc.d/rc5.d/S90mysql.server
/etc/rc.d/rc6.d/K90mysql.server
/usr/local/share/mysql/mysql.server
/usr/src/redhat/SOURCES/mysql-3.22.22/support-files/mysql.server.sh

The file /etc/rc.d/init.d/mysql.server contains the required
info for chkconfig:

# Comments to support chkconfig on RedHat Linux
# chkconfig: 2345 90 90
# description: A very fast and reliable SQL database engine.

Comment 1 David Lawrence 1999-07-07 18:36:59 UTC
Where did you obtain the rpm of mysql that you are using?

Comment 2 phostetl 1999-07-08 01:43:59 UTC
MySQL was built from an srpm (no longer available for 3.22.23b at
www.mysql.org.)

$ rpm -qip MySQL-3.22.23b-1.i386.rpm
Name        : MySQL                        Relocations: (not
relocateable)
Version     : 3.22.23b                          Vendor: (none)
Release     : 1                             Build Date: Thu Jun 17
15:08:09 1999Install date: (not installed)               Build Host:
peach.fruit
Group       : Applications/Databases        Source RPM:
MySQL-3.22.23b-1.src.rpmSize        : 15845333
License: MySQL FREE PUBLIC LICENSE (See the file PUBLIC)
Packager    : David Axmark <david@mysql.com>
URL         : http://www.mysql.com/
Summary     : MySQL: a very fast and reliable SQL database engine

Comment 3 phostetl 1999-07-12 17:10:59 UTC
Rebuilt MySQL using 3.22.25 srpm.  There was a change of
/etc/rc.d/init.d/mysql.server to /etc/rc.d/init.d/mysql .  chkconfig
works fine with the non-dotted name.  The problem appears to be that
chkconfig couldn't handle somename.anything.

Comment 4 David Lawrence 1999-07-12 17:49:59 UTC
Yep, the init scripts can no longer use the dot notation. That was
changed a while back. All new initscripts should be a single word now.


Note You need to log in before you can comment on or make changes to this bug.